## freedoom 0.4.1-1

=== debian/changelog ===
freedoom (0.4.1-1) unstable; urgency=low

  [ Gonéri Le Bou ]
  * New upstream release
  * Added watch file
 
 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Mar 2006 22:24:30 +0100

freedoom (0.4-1) unstable; urgency=low

  * New upstream release (Closes: #348152)
  * Changed dependency on prboom | doom-engine into a recommendation to
    prevent circular dependencies with prboom

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon,  2 Jan 2006 13:30:42 +0100

freedoom (0.3-2) unstable; urgency=low

  * Add alternative to allow freedoom's WAD file to co-exist with the
    WAD file packages generated by the upcoming doom-data installer.
    (Closes: #327500)
  * Bumped Standards-Version (no changed needed).

 -- Moritz Muehlenhoff <jmm@inutil.org>  Tue, 13 Sep 2005 15:46:50 +0200

freedoom (0.3-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun,  2 Jan 2005 16:27:20 +0100

freedoom (0.2-2) unstable; urgency=low

  * Depend on doom-engine, instead of only recommending it.
    (Closes: #270037)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Wed, 22 Sep 2004 23:12:26 +0200

freedoom (0.2-1) unstable; urgency=low

  * Initial Release. (Closes: #206139)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun, 18 Jul 2004 14:29:43 +0200
