=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Group <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.2.1

Package: freedoom
Architecture: all
Recommends: prboom | doom-engine
Provides: doom-wad
Description: free game files for the 3D game DOOM
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with the GPL-licensed Doom source code this will result in a
 complete Free Doom-based game.
