=== graphics/titlepic/Makefile ===
titlepic: freedoom.ppm freedm.ppm

freedoom.ppm: base.ppm
	./create_caption Freedoom $@

freedm.ppm: base.ppm
	./create_caption FreeDM $@

clean:
	rm -f freedm.ppm freedoom.ppm

.PHONY: clean
