## freedoom 0.6.2+dfsg1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 OBJS = \
 	$(WADS)/freedoom.wad          \
-	$(WADS)/freedoom_graphics.wad \
 	$(WADS)/freedoom_levels.wad   \
 	$(WADS)/freedoom_sprites.wad  \
 	$(WADS)/freedoom_sounds.wad   \
@@ -41,8 +40,14 @@
 textures/shareware/texture1.txt: textures/combined.txt
 	$(CPP) -DSHAREWARE < $< > $@
 
-textures/%/pnames.txt: textures/%/texture1.txt
+textures/shareware/pnames.txt: textures/shareware/texture1.txt
 	./extract-pnames.pl < $< > $@
+textures/doom/pnames.txt: textures/doom/texture1.txt
+	./extract-pnames.pl -a > $@
+textures/doom2/pnames.txt: textures/doom2/texture1.txt 
+	./extract-pnames.pl -a > $@
+textures/freedm/pnames.txt: textures/freedm/texture1.txt
+	./extract-pnames.pl -a > $@
 
 # update wadinfo.txt
 
@@ -84,13 +89,6 @@
 	ln -sf doom2/texture1.txt textures/texture1.txt
 	rm -f $@
 	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_iwad.txt $@
-
-#---------------------------------------------------------
-# graphics wad
-
-$(WADS)/freedoom_graphics.wad : wadinfo.txt subdirs force 
-	rm -f $@
-	$(DEUTEX) $(DEUTEX_ARGS) -graphics -lumps -build wadinfo.txt $@
 
 #---------------------------------------------------------
 # build levels wad
