=== graphics/titlepic/Makefile ===
titlepic: freedoom.gif freedm.gif

freedoom.gif: titlepic.gif
	./create_caption Freedoom $@

freedm.gif: titlepic.gif
	./create_caption FreeDM $@

clean:
	rm -f freedm.gif freedoom.gif

.PHONY: clean
