## freedoom 0.7

=== Makefile ===
--- 
+++ 
@@ -42,9 +42,6 @@
 	$(WADS)/doom2.wad             \
 	$(WADS)/doom.wad	      \
 	$(WADS)/freedm.wad
-
-# disable this for now
-#	$(WADS)/freedoom_hires.zip
 
 all : $(OBJS)
 
@@ -172,12 +169,17 @@
 dist : $(OBJS)
 	scripts/makepkgs $(OBJS)
 
+doc:
+	asciidoc BUILD-SYSTEM
+	asciidoc README
+
 clean:
-	rm -f	deutex.log $(OBJS) \
+	rm -f	*.html deutex.log $(OBJS) \
 		./wadinfo.txt ./wadinfo_sw.txt \
 		./wadinfo_freedm.txt ./wadinfo_iwad.txt \
 		./wadinfo_ult.txt \
-		 ./lumps/freedoom.lmp \
+		./lumps/freedoom.lmp \
+		./lumps/freedm.lmp \
 		./textures/doom/pnames.txt \
 		./textures/doom/texture1.txt \
 		./textures/doom2/pnames.txt \
