## freedoom 0.7-1-maemo1

=== Makefile ===
--- 
+++ 
@@ -66,13 +66,13 @@
 	$(CPP) -DSHAREWARE < $< > $@
 
 textures/shareware/pnames.txt: textures/shareware/texture1.txt
-	scripts/extract-pnames.py < $< > $@
+	python2.5 scripts/extract-pnames.py < $< > $@
 textures/doom/pnames.txt: textures/doom/texture1.txt
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 textures/doom2/pnames.txt: textures/doom2/texture1.txt 
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 textures/freedm/pnames.txt: textures/freedm/texture1.txt
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 
 # update wadinfo.txt
