=== debian/changelog ===
freedoom (0.7-1-maemo1) unstable; urgency=low

  * For Fremantle 
  * installs to the /opt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 12 Jan 2012 18:46:01 +0000

freedoom (0.7-1) unstable; urgency=low

  * New upstream version.
  * adjust graphics/titlepic/create_caption to not be too
    clever.  This ensures the titlepic gets the correct version
    string appended.

 -- Jon Dowland <jmtd@debian.org>  Mon, 24 Jan 2011 22:30:01 +0000

freedoom (0.6.4-5) unstable; urgency=low

  * update VCS fields to reflect move to Git.
  * Remove Moritz Muehlenhoff from uploaders, by request.
    Thanks Moritz for your work!
  * adjust an Imagemagick/composite argument so that
    graphicsmagick works for builds (see #413954)
  * bump standards version
  * add misc:Depends for freedm (quiet, lintian!)

 -- Jon Dowland <jmtd@debian.org>  Fri, 03 Sep 2010 15:49:20 +0100

freedoom (0.6.4-4) unstable; urgency=low

  * Stop providing doom2.wad alternative: we are not
    vanilla compatible. Remove older alternatives in
    postinst for upgrades.
  * Adjust PATH in debian/rules to avoid needing to
    patch Makefile: thus, remove quilt dependency and
    patching boilerplate
  * bump Debhelper and compat to 7
  * changes for debhelper 7
  * install "freedm" and "freedoom" invoke-scripts into
    /usr/games and corresponding manpages. Reference
    the scripts in the .desktop files.
  * Remove lintian overrides. These were for calling
    "boom" in the desktop files but not installing it
    (fixed with invoke-scripts); creating a directory
    with no files in it (which we installed alternatives
    into).

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Jul 2009 12:31:40 +0100

freedoom (0.6.4-3) unstable; urgency=low

  * Bump debhelper dependency to match compat level
  * .desktop files reference "boom" not "doom"
  * conflicts prboom that provides: boom-engine but does not
    provide a /usr/games/boom alternative
  * Update homepage

 -- Jon Dowland <jmtd@debian.org>  Thu, 02 Jul 2009 18:29:42 +0100

freedoom (0.6.4-2) experimental; urgency=low

  * use python-minimal instead of python.
  * require boom-engine instead of doom-engine.

 -- Jon Dowland <jon@alcopop.org>  Wed, 17 Jun 2009 22:05:07 +0100

freedoom (0.6.4-1) unstable; urgency=low

  * Add Build-Depends-Indep: on python. Thanks Daniel Schepler
    and Peter Green. Closes: #521922
  * new upstream version, removing some non-free files.
    Closes: #533135
  * fixed watch file, thanks Marco Rodrigues. Closes: #531619
  * bump standards version.

 -- Jon Dowland <jon@alcopop.org>  Sun, 14 Jun 2009 18:05:07 +0100

freedoom (0.6.3-3) unstable; urgency=low

  * upload to unstable.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 19:07:48 +0000

freedoom (0.6.3-2) experimental; urgency=low

  * fix watch file. Closes: #453552.

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Jan 2009 17:42:27 +0000

freedoom (0.6.3-1) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field

  [ Jon Dowland ]
  * new upstream version
  * remove version.patch: unnecessary with 0.6.3
  * update standards version

 -- Jon Dowland <jon@alcopop.org>  Fri, 02 Jan 2009 01:00:29 +0000

freedoom (0.6.2-1) unstable; urgency=low

  [ Jon Dowland ]
  * implement a new binary-package "freedm"

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Jon Dowland ]
  * move to quilt for patch management

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Jon Dowland ]
  * new upstream version (three, actually!).
  * Add a lintian override for empty-dir /usr/share/games/doom: we
    install an alternative into the directory.
  * bump standards version
  * Add .desktop files for the games (which use /usr/games/doom) and Depends:
    on doom-engine (packages which should provide an alternative for that
    binary)
  * Add icons generated at build-time
  * adjust alternatives priority to be in-line with the doom packaging
    guidelines

 -- Jon Dowland <jon@alcopop.org>  Thu, 20 Mar 2008 22:30:32 +0000

freedoom (0.5-1) unstable; urgency=low

  [ Jon Dowland ]
  * new upstream version
  * build system reworked to call upstream Makefile
  * Build-Depends needs gsfonts, imagemagick, deutex
  * add myself to uploaders
  * add VERSION file, missing upstream
  * explicitly specify /usr/games/deutex in Makefile
  * bump standards version

 -- Jon Dowland <jon@alcopop.org>  Thu,  7 Sep 2006 12:55:18 +0100
