=== debian/control ===
Source: freedoom
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: deutex, imagemagick, gsfonts, python (>= 2.4)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-games/freedoom
Vcs-Browser: http://git.debian.org/?p=pkg-games/freedoom.git
Homepage: http://freedoom.nongnu.org/
XSBC-Bugtracker: http://freedoom.nongnu.org/
DM-Upload-Allowed: yes

Package: freedoom
Architecture: all
Depends: doom-engine, ${misc:Depends}
Provides: doom-wad
Description: free game files for the 3D game DOOM, uses boom-engine
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with any boom compatible Doom engine (such as prboom) this will
 result in a complete Free Doom-based game.
