=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp

build-stamp:
	dh_testdir
	$(MAKE) wads/doom2.wad
	#$(MAKE) wads/freedm.wad
	
	# icon stuff
	convert sprites/heada1.gif freedoom.xpm
	sed -i 's/cyan/None/' freedoom.xpm
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
	$(MAKE) clean
	rm -f freedoom.xpm


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	mv -i wads/doom2.wad debian/freedoom/opt/doom/wads/freedoom.wad

binary: binary-indep

binary-arch: 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
