=== debian/changelog ===
freedoom (0.7-1-maemo2) unstable; urgency=low

  * Icons fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 14 Jan 2012 15:39:01 +0000
