=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: doom-engine, ${misc:Depends}
 Provides: doom-wad
-Description: free game files for the 3D game DOOM, uses boom-engine
+Description: free game files for the 3D game DOOM II, uses prboom-engine
  Freedoom is a project to create a complete Doom II-compatible IWAD file
  which is Free Software.
  .
@@ -26,3 +26,122 @@
  .
  Combined with any boom compatible Doom engine (such as prboom) this will
  result in a complete Free Doom-based game.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9wCDg0lEbmsMeEAABQYSURBVGjevZl5lFXVne8/+0x3qlu35iqqgKoC
+ BJkEVJCAEYkKBtvQbdKPKLH1makDK92roxHT5iU22m06OLznetjdy9WtSRo7
+ tC47RCUpccABiCaAE5NQFDXcqlvTne+Zz9nvD8BOjCKxm7fXOuuctffZe3+/
+ e//2b/8GwTkq9913n4jH43cCw+vWrXvkXM2jnKuBVVWd5DjO3a7rVjiH5ZwQ
+ 2LhxI4Zh5A8cOMBDDz1k/iF9N2zYwP+Xctttt0U2bNiQ+u26f9n45d8mIe+6
+ 665g2bJlMlXb0Ha6ft/GzwPw85///P1/H3300d8Bv2HDhl9u2LBh+tngEJ8E
+ /A9+8APDsqxnLdPs+uGmTff9dts/37vuhmK2vzOjzbuH0CM9OMS8SfoDS7Th
+ YkOi+uiMDY8/fvrfZ7qe3zQy0PvCLV/+8i9P191xxx3nhWH4spTy0k2bNh3/
+ OCzaJyHw6quvxqqrq6/smHrehd/74tL1VZojWlMJYroeiszhNr9+htHiFOWo
+ Vivap82QEwt7vnU4P4YiBt0H17TfU/LrFNNz2Pvk/2nXLlgtgV8e3LSWWd/e
+ QqVSWVBTUzMhkUjIs8FyRgLr16+fsHnz5qHbb7+dvzqvwoSvbuafv/KptvMv
+ mFJz/85BsvlC3dcWzqqL+GUy+Ty1VQnmL70aa/A9CqYpdoxmScSi4gtX38jO
+ 907gHnzFMGK1nX80tZVINA4gQ++1b//pAzcd6R8deR7oHR0dbTzvvPPo6Ojg
+ vyxC69atO1JVVfXUD3/4w+8AZB/7y6sGsoXnGlMJVj96IOxon6xcmRwkhs3K
+ hTNpbG6lUnYpFHK4jsuJ8RyaprFk/gIcx8ETkkgQEFEq7DqUwbQt6jRkKpUS
+ bhgyZvF3dz6f/uu2liZSqVR9b29vtqur6w/fgTVr1rB161ZUVU0rinLHoovm
+ r/nHP52B6zgthXyBne+8B4GqmKbJ1Gn1fOrii4kl4thjJ0gPDNEzMk5TIopt
+ 2Xiui1UpYFk2B48epTGVIp5IsHDWeeiaRjqdFm8e60HTdNlYU/PXjh9IKaXo
+ 7+/v6erqSn0iNbp161au+/wX7tHwl8eUQD59y/xO13Y7f7H33djz7x7njRPD
+ qIqgUqkwbdYCdK9Erv8Y6fQoI4UCw+UKhmHg2C69uTKeHyIUhaLjcjgzSv/g
+ EIeOHCGbzVKVTLJgWieqIsTx4XEUhLBtG8d1q1/9zmdaAJ6+deXZE3jwpksA
+ mFETZi/VulkVOyZ+tu8I29/upuvwAAOFMv/z8kVkTQfTk/S99y5vHzrEwaNH
+ OTowyJHhHA3xKNWpFGXXw3Y9EALP88ibLr1jJQ6M5DkwMMKhY930DaZxfZ+Z
+ k9uYO2Uyru/h+z6FsiULrja0/barr7v2/i5+sv6yD78wP1jR9Vaa+2+6ZEpH
+ zHumYrli55EBjowWOTxSZPW8qdy47GIaqyJc2qrzqaYQTdrkyhaDxQoDhQqe
+ F3DJ9E4Mw8BzXSRQH4+iqgqHB4bJj/Ti+IKSG1L0fGQQkC2WMW0Tx/Z49miJ
+ eEQnXyiKjoSLbihr/vji9v4bN7+y/8GbLqHrrfRHE7j3f1zElElRUaXrWYHg
+ V33DonusRNb0uXZeJ3988SzK5TKmZVEwSziez3DJJFuyGDMdTNOjpSZBR3MD
+ EcOgobaGmoiG73nE43EIfAZG0liBgqZHsV0fK/ABCAMYq9i8PerjBSHDI6PM
+ aVEZKVrS0NTVV8yd8Mtv/fiN9EeK0PqVM8R3/n0vndW1G2viUboO9ouj6Twj
+ IxZLO5q4cnobuUKR8WKZ7tFxBnMm/bkSY0WLnO2SyVUICZnV1kw8FiMMQ6Qe
+ oXlSBzIMCYOAVHMLdqKJnBVg+yeBF8ouQ9kKoxUTlYCvzI+xpFXFsiymT55I
+ n+mJY8M5Ain/AuDrn79I/J4aXbdiOg8/9x5f+cy05+ZOqr/qqf0npFX2hecH
+ XNBZxw2XzKA1VYXpefRkC2QKJrbt48sQy/MpmC5VUY2V82cwf2oHjusyNj6O
+ Ho+TjETo6+ujubkZx3F4q+Cw9+BRKmWTpmQcKSUSEAJUIUhFIzRURxnOW2Sr
+ G+jrHcP3yjKKI/RUTfofn9w7cfXSqWLbrm75vgj9unucP79q+lPzJzVc8x9v
+ HaeUc4TrOdQ3xFjU3kRjMk7ZdRkpWRQrDvmKgx+GmJ5PyfapT0ZYNW8Ol140
+ F6O6mkLJolQucWRwDFURdHR0UCwVKdoWc5ubSKghRTegbNsEEhQhEAgqrkfJ
+ 9ZAB1KdiVDkmOQndPeNiYLiI7wfJ6ZNqv/b0np77m1MRKk5w8h64dfXsqxOa
+ 9ic73umVY6OmqKuN0lBbg1DA9n2Oj+QRisDzA5wwxA9CTN8jGdVZOKWVhbNm
+ 0jLjjxBNOrLzfNrCJA9fv4jPXbqYXN0UrJ43yQwPMXVSG7YfYensK8m3Zuh7
+ 5zeMDA5QcaE6aqAIgSIEVhBg2z6KImjVfdLJKLZtkS9WRLpgxuoT+tLhgrOr
+ ORVBlVKq+5959ODbg1ml6Pqic0KKmmSUKkOnWtOwvAA/DCg5LuMVB8f3qUvG
+ uGhSEwunTGJ2x0QmXLwSJSbBszjx/JP8+6P/l8GxMd4csskMjzJUKTHzuts5
+ 9O4eCuP9xI2AxTOnEQtMynqCsFJgsGRR8QLcIKQ2EUGogpLlEgYhofAYL9oE
+ AYSOG7N8eUsypr02XHB6RH3SkIFQw5XzmxWpQExV35fLmKqiKwpSnrSrzCBg
+ en0Ny2e2UVuVxPF9dF2nKhal7Eue3bOXfUM5qgLB4qtXMX/ZVRTyeQzfZecL
+ LzJn0XLGd/4LAdC29HO0pffiex5v2yoHDh2jv1whoihMSSWpSUawbB/T87A8
+ n+5Rk970OGOuREiJ74fXDubsZ4RQFGmogmWzmpg1sYaS7YEALwyRQERRiKgq
+ Rc8jFdG5fPokJtVWMVYyGS5bhGHIwsktvFLU6Hr6BUbCAD1jM2V6wKrFCUo5
+ Ey86H715Kp4H7tB7WL4k8F2iRoR4RCemqsSjOrmKTYgkoqhUgoCK6WJ6HhXH
+ o+T7HB9yODo4ysyJjWQtf9vhE0Nf1CJGBMexcSQkIzr18ShZ06Lo+HhhiBuG
+ +FLihSFlx2e8ZOKGPoO5CmXLJaKp7OnN8GbPCOURmzCi8M3bp5GIh9RFoWKF
+ aNEiz96zk/45NVzUGCUIJL5UKDseBcvBC0ISEZ0pzSnGSja+PHkGflddCsbt
+ MqPlkNh4QTpesDoa0RNK0giQErrTRfrGyyhCUBeP/Z6ZGlVVDFXhxHiR7qEC
+ 2bJFyXUpuR77e0co2A7piEKLU2bNne8gjICvb+6n8fJqUo0xEu0jFF/uYeeR
+ EcZMC9P1sDwPNwhAQNF26R8toyFwPB/JSTGWp+CXPZ9s3kU9qUyE6waoioKC
+ BEWA6XhkXZe8bVNfHSWq/+clHVEUktpJwzVvuYyZFo4fkDM9unMlxiyHnOnS
+ UnE5aBnc9X2Na9ZneGf3RuZf2Mu+fVn2/SrE9izCksVg2SJTsbH8gKiuoasK
+ puNjei6jFYvxoo3l+Ti+j+352EHASN5mtBRSG4WYEKiaQjSqnVSjqgJeqJCv
+ eDRPSxDXdQq2RyXwSWga9qnzoCsKFd8nGdWJaCp+IPGdEJuAjvoq+sdMOvqL
+ PL8Rnnna4/zmn+D6Pq8fHGUGISKq0dJeS1JVyTkuhNBaW8Wx0QIAuYpLJfAp
+ Wh5xQ2NiKoYQAgmMFS2CMKApaZBMRrHHTPxT/kCvEMRdz2/UdSFb6lLCsWzK
+ vkcoIKnrZG2HYcuhsyZGgIaPSqlkEdVVJlRFmajEAaia18Zvqg2ix/Kob5v8
+ IvkuHabH+YGkPKOO2dMaSQmV0bJDcyLO5MYaFk/r4N3MO/jSfd+8QAE3DMiZ
+ LsmojhuGFCs+dTFIJuMYCRUnE/qOEwbaaMnt0OI0f6Z54o7LG1vnxsREtr/5
+ MjONWqprUljj4/yiN0vg+qjT26FmKqNeSL0yRj4QKFINT/R0K4GUYTKiKxFh
+ 0N+colQyiQNDCYNcPMqcqqTs6SuLI8NlhvIuQRggg5CLZqS5bNFseSKdEXFD
+ xw9CxiyXxYkYE2IGlu/xi2OHGK+EIQFKpuS6UyKRuyfoPPqbcTevNacMhgvu
+ 8HeXXvpqKOVcL+PQ9eYg/7B4sWyoahMHenKyJ2OKiRNakKkpEhmK2poUfliN
+ EBAKRdl1eHe7bhi9p46MFB90VSumHBg1BZI3fZTlNYloWDHNghSit2nK7AcP
+ j8r/3TljMfv27SUaq0LT89QOF1hwwYVy97Gj4t3eAoamKRIx9Uh/2TrSlx8C
+ mNeWQBkuuAAEUgoJaKridbVOaMLQhUQSjUQEgS8WLlx4PUghpcQwDNraWkkk
+ EghBBejzXFcoQtwsYFgI0fuBJ+e5rvA8d4GhyHzFNEuu6wrP8zryuWxhfHxM
+ qqrC9OnTqa2tITOUobmhgVCGYl5Ly07CULiuKzzXOY70h06vy1vpyn+a0xIS
+ p03s0QULvhuNRvFdL+w1TgbWXNeNARiGQV1dHY7jyGw2y/Dw8Jy1a9eedCEd
+ 50eu605wHKfjA0+9YRgAOI6D67oSYOnSpezZs+cxRVGeTqfTNDQ0oKkq5TBC
+ sWziBwHBKTPgkQsv/FiX8mZgDFA0Xf8LRVGkY9uKU6PNOP1DGIa0trbi+z4D
+ AwPC9/276+rqerds2YLrumd0vj+sfdeuXafjqLWZTIZ33nmHpqYmJndOJQjC
+ k3Io5eWb585d/9V9+85MQADLt2xpBIRQFKnqupAyZLHf0ntynJNXiqKc7BIE
+ gVQUpfuJJ544YwDqqZUrz0hsyZIl7Nq16zIhRM51XRRFQVc1cq6FrusoiiKq
+ Eonaj3Xql2/ZIk8BvSc3Pi4URcE0TT6/Y4fzWxFnlFPGnZTy6W3btv1o9erV
+ Hzrwf6xcmXrqqqu+cF1XF8+tWfORBHbv3n36s/b0xRvVdI63+ggJQghUVT27
+ qMRLa9fyo8cf/57nOCiKwlg2ywvXXz8IYGuaKYQgm82iKArRaFQH2LZt24cO
+ LKVM6pHIEy9+6UtXrti69WMjbL7vN0YiESGlRBHQm7Hf3/FoNHp2BJZv2cLV
+ y5aphmHg+z6z58xBUZQJjy1aNP+SwcGfBopSDMMQKaW0LCtzut8/zJsHwJNX
+ XFG1c+3aKQCmaeJ6HmahsOOpFSsmfxyB119/fex9NSwUxvJlhBAIIVBUNQR4
+ cPbsMxN4YNYscf3LL/u6YeA5jvRPHbzW9vb9CzRtZ5uqHnZcF13X89u3b7/l
+ tPh84623+PuOjkY/CF4UQnQ/fc01fx/4viMAxTDQotHwbOKcuq7fHQSBcH2X
+ udUTGR0ZxohEqLjuNXd3dLT81YEDZybwrYMH5QOzZw8Y0ShBEIiRTOZKwEYI
+ qScSl9coyiLbtmV3dzcAtm2/3/eCCy9MJWtrF4ZShplM5vZYLGaHYQjyrILM
+ p8XoG729vVi+z83z55HuT6MbhjRUdUltVVX7WUXmUvF4WyAllmUFPd3dJ4Be
+ RVFEoqpKRk4CEp7n1a5YseKVrq4u1q84mYfo7+8/WlVVhZQy+OrevaJD1+eW
+ KxWCMESIM6chVq1adfqzwQ8C4oqCKJu82lTGHMuKaDRK1UeE23+PQDyRQFUU
+ 6hoaXuubOnVo+ZYt5/u+/0jZdcW1iYS8MhZjzLZByhzA5ufe48srp97VOakd
+ 13X3Xvezn1XJm2++bW5D466SaYVnswPbt29n1apVtyqaRkzTuLOmhk/V11I3
+ CFos+r6Le1YEFEWZakQiTGlqWvZPixfnAK5+8smvHe/p+cuB0VFxSSrF1uZm
+ Mo5z7corr7wZ4ArZ/n09HkXTtB1503Rfs+1N24b6yTZCaDt82m4urlt55oyR
+ EOL7Bsin6uuZWl0dvtLbRzc2sUgkPNV+duH12vr6Pt/3YXgY9557DCsSkSKd
+ RkyYgNHaKt/Yu1d0JBL864IF4rO796TyG27tfeXQUen7vlRVNQfw6Z/+VPBZ
+ ErdZs4qR6iib/F8XHt7+npAPP9zJse4A3z+p8o0IzJnDD/YfyL890i0fjyRF
+ GvjVwEB4oq8nueNPvpF8vvdQpmya4dDoqHNWCY7Nc+YosUTi79pnzLCcsTGU
+ ZDIYGRm5O1VdTXs0Sl0kwqQpUySVCtsyw+LFw3tYMWEm1TU1v77sxz9e9NIN
+ N7D8VBps5bUtEz9XaN/xufbzz5+YiG1k0qTvMbEJOqaBogEhZPp47tmXWHFh
+ K7zRy3FdY8z3Hx9ynL1RuH+yqtLr+7d+9oknHnhw9mw+qInOKsl33/nnd0yZ
+ PDmM19XR1NlZ7nn99fHaVIoFNbXyUKUibE1lsK/v6Jdee+19OVm3cgYPdx3h
+ 5iumPbEwl/hCVCoYuk6kNoWeTBGLxRAC4mEYGn6ogEDTdYxYTDZ5rkj6HkII
+ xstlHjtw4J7vHjnyv/5bspQ/WbKEG3fv5porGhcuM6Ztn181qTaUoXr1k0+K
+ 022ny01XTOVHL3R/6Dgvf/ObqS37X5vZV87uMXRDRqOKUDSrRxdKlYV/y5Mv
+ DjzzO3mLD1n9T5xmXb9yBpu7jgDw2CWXfD0zPt58x7FjG8+mr7z33k/T07O0
+ z7LuPaEoWONZ9pfGuHTi1Ac+veVfb/2wOc5Z+fGSJb+zQh8J+s47T76//e18
+ eNNNRXnzzfKNG28Mf7p8efqRORdUX9Fe1wnw0g03/MEYxLkiJ++8E/G3f0v4
+ N39Tx/79Ukyfng3TaRRNy+8sl/NHuruVP3/zzfZ/u+wycf0rr8hPOo84lzsU
+ PvRQGydO7BG53KQTYUjBsnJvaNrSrz3++CGARy66SHx17175X5nj3O3An/1Z
+ C4oyAKhv2DZmMtkynE6HX9y+ffSltWtZvmXLf8s8/w/1hUomnSG/mwAAAABJ
+ RU5ErkJggg==
