=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 	
 	# icon stuff
 	convert sprites/heada1.gif freedoom.xpm
-	sed -i 's/cyan/None/' freedoom.xpm
-	
+	sed -i 's/#00FFFF/None/' freedoom.xpm
 	touch build-stamp
 
 clean:
