=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases-noredirect/freedoom/source/freedoom-(.*)\.tar\.gz
