## freedoom 0.8~beta1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	$(WADS)/freedoom_sprites.wad  \
 	$(WADS)/freedoom_sounds.wad   \
 	$(WADS)/freedoom_textures.wad \
-	$(WADS)/doom1.wad	          \
 	$(WADS)/doom2.wad             \
 	$(WADS)/doom.wad	      \
 	$(WADS)/freedm.wad
@@ -48,7 +47,6 @@
 subdirs:
 	make -C graphics/titlepic
 	make -C lumps
-	make -C sprites/jond/placeholder
 
 # this is a useless dependency to force builds
 
@@ -62,24 +60,18 @@
 	$(CPP) -DDOOM1 -DULTDOOM < $< > $@
 textures/freedm/texture1.txt: textures/combined.txt
 	$(CPP) -DFREEDM < $< > $@
-textures/shareware/texture1.txt: textures/combined.txt
-	$(CPP) -DSHAREWARE < $< > $@
 
-textures/shareware/pnames.txt: textures/shareware/texture1.txt
-	python2.5 scripts/extract-pnames.py < $< > $@
 textures/doom/pnames.txt: textures/doom/texture1.txt
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/doom2/pnames.txt: textures/doom2/texture1.txt 
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/freedm/pnames.txt: textures/freedm/texture1.txt
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 
 # update wadinfo.txt
 
 wadinfo.txt: buildcfg.txt force textures/doom2/pnames.txt
 	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
-wadinfo_sw.txt: buildcfg.txt force textures/shareware/pnames.txt
-	$(CPP) -P -DSHAREWARE < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_iwad.txt: buildcfg.txt force textures/doom2/pnames.txt
 	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_ult.txt: buildcfg.txt force textures/doom/pnames.txt
@@ -92,6 +84,10 @@
 	chmod o-r $<
 	md5sum $<.gz > $<.md5sum
 	rm -f $<
+
+# deutex doesnt allow redirects for the filenames in the texture
+# entries, so we have to change the texture1 symlink to point
+# to whichever wad we are working on
 
 #---------------------------------------------------------
 # build wad
@@ -154,17 +150,7 @@
 	rm -f $@
 	$(DEUTEX) $(DEUTEX_ARGS) -sounds -musics -build wadinfo.txt $@
 
-#---------------------------------------------------------
-# shareware iwad
-# 
-# deutex doesnt allow redirects for the filenames in the texture
-# entries, so we have to change the texture1 symlink to point
-# to the shareware wad
 
-$(WADS)/doom1.wad : wadinfo_sw.txt force
-	ln -sf shareware/texture1.txt textures/texture1.txt
-	rm -f $@
-	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_sw.txt $@
 
 dist : $(OBJS)
 	scripts/makepkgs $(OBJS)
@@ -186,10 +172,7 @@
 		./textures/doom2/texture1.txt \
 		./textures/freedm/pnames.txt \
 		./textures/freedm/texture1.txt \
-		./textures/shareware/pnames.txt \
-		./textures/shareware/texture1.txt \
 		./textures/texture1.txt
 
 	make -C lumps clean
 	make -C graphics/titlepic clean
-	make -C sprites/jond/placeholder clean
