=== debian/changelog ===
freedoom (0.8~beta1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Imported Upstream version 0.8~beta1. Closes: #691399.
  * Do not install empty usr/share/games/{doom,freedoom} directories.
  * Mangle the upstream version in debian/watch,
    they use minus instead of tilde to indicate beta versions.
  * Convert to "3.0 (quilt)" source format.
  * Convert debian/rules to dh7 style, bump debhelper compat to 9,
    simplify things a bit.
  * Change versioned Conflicts to Breaks.
  * Run "wrap-and-sort -asb".
  * Compress binary packages with xz.

  [ Jon Dowland ]
  * Initial parallel build support (much more work needed)
  * Bump standards version. Changes:
    * fold Build-Depends-Indep into Build-Depends (not needed for
      Architecture: all)

 -- Jon Dowland <jmtd@debian.org>  Fri, 26 Oct 2012 08:08:25 +0100
