=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 9),
 deutex,
 gsfonts,
 imagemagick,
 python (>= 2.4)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-games/freedoom
Vcs-Browser: http://git.debian.org/?p=pkg-games/freedoom.git
Homepage: http://freedoom.nongnu.org/
DM-Upload-Allowed: yes

Package: freedm
Architecture: all
Depends:
 boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer-oriented maps for Doom
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 FreeDM is a sub-project to create a set of levels designed for deathmatch
 play.
 .
 FreeDM does not require Freedoom to play and can be used in conjunction
 with a boom-engine. Please note that this is designed for multiplayer and
 will not be of much use for single player.

Package: freedoom
Architecture: all
Depends:
 boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: free game files for the 3D game DOOM
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with any boom compatible Doom engine (such as prboom) this will
 result in a complete Free Doom-based game.
