=== debian/rules ===
#!/usr/bin/make -f

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) wads/doom2.wad
	$(MAKE) wads/freedm.wad
	mv -i wads/doom2.wad wads/freedoom.wad
	
	# icon stuff
	convert sprites/heada1.gif freedoom.xpm
	sed -i 's/cyan/None/' freedoom.xpm
	convert sprites/sht2a0.gif freedm.xpm
	sed -i 's/cyan/None/' freedm.xpm

override_dh_installdocs:
	dh_installdocs -A CREDITS NEWS README

override_dh_builddeb:
	dh_builddeb -- -Zxz
