=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://download.savannah.gnu.org/releases-noredirect/freedoom/source/freedoom-(.*)\.tar\.gz
